import { defineStore } from "pinia";
import type {
  DataOptionInsignia,
  ResponseObject,
} from "@/modules/10_registry/interface/index/Achievement";
import { ref } from "vue";

export const useRegistryInFormationStore = defineStore(
  "registryInFormationStore",
  () => {
    const typeProfile = ref<string>("OFFICER");
    const profileId = ref<string>("");
    const citizenId = ref<string>("");

    function typeChangeName(val: string) {
      switch (val) {
        case "prefix":
          return "เปลี่ยนคำนำหน้าชื่อ";
        case "firstName":
          return "เปลี่ยนชื่อ";
        case "lastName":
          return "เปลี่ยนนามสกุล";
        case "all":
          return "เปลี่ยนคำนำหน้าชื่อ, ชื่อ-นามสกุล";
        case "firstNameLastName":
          return "เปลี่ยนชื่อ-นามสกุล";
        case "prefixAndlastName":
          return "เปลี่ยนคำนำหน้าชื่อ และนามสกุล";
        default:
          return "-";
      }
    }
    return { typeChangeName, typeProfile, profileId, citizenId };
  }
);
